- @page_title = t('.title')

= render 'layouts/page_actions', new_url: new_admin_link_path,
                                 new_caption:  t('.new')

- if @links.empty?
  .rui-empty= t('.no_content')
- else
  %table
    %caption.-sr-only= t('.table_caption')
    %thead
      %tr
        %th.-text--monospace.-text--right{ scope: 'col' }= t('generic.id')
        %th{ scope: 'col' }= t('activerecord.attributes.link.title')
        %th{ scope: 'col' }= t('activerecord.attributes.link.url')
        %th{ scope: 'col' }= t('activerecord.attributes.link.description')
        %th{ scope: 'col' }= t('activerecord.attributes.link.approved_by')
        %th{ scope: 'col' }

    %tbody
      - @links.each do |link|
        %tr.link{ class: link.pending_approval? ? 'link--pending' : '' }
          %td.-text--monospace.-text--right= link.id
          %td= link_to link.title, admin_link_path(link)
          %td= link.url
          %td= link.description
          %td
            - if link.approved?
              = link.approved_by.username
            - else
              = link_to t('.approve'), approve_admin_link_path(link),
                                       method: :put,
                                       class: 'rui-button rui-button--small'
          %td.-actions
            = render 'layouts/entity_actions', edit_url: edit_admin_link_path(link),
                                               destroy_url: admin_link_path(link)
